Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 235960 (perl-Data-Visitor)

Summary: Review Request: perl-Data-Visitor - Visitor style traversal of Perl data structures
Product: [Fedora] Fedora Reporter: Chris Weyl <cweyl>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: iarnell
Target Milestone: ---Flags: panemade: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://search.cpan.org/dist/Data-Visitor/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-05-04 03:46:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 235954    
Bug Blocks: 238233    

Description Chris Weyl 2007-04-11 02:51:44 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Data-Visitor-0.05-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Data-Visitor.spec

Description:
This module is a simple visitor implementation for Perl values.

Comment 1 Chris Weyl 2007-04-25 05:21:03 UTC
This package is a prereq of the Catalyst framework.

Comment 2 Parag AN(पराग) 2007-04-30 09:34:13 UTC
BR: perl(ExtUtils::MakeMaker) missing?

Comment 3 Chris Weyl 2007-04-30 15:16:34 UTC
(In reply to comment #2)
> BR: perl(ExtUtils::MakeMaker) missing?

No, this is deliberate: the package uses Module::Build to build itself.

Comment 4 Parag AN(पराग) 2007-05-02 03:54:24 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
d8b5c458439698187db0bfee672044ef  Data-Visitor-0.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
t/base.................ok
t/bugs.................ok
t/callback.............ok
t/callback_aliasing....ok
t/circular_refs........ok
t/globs................ok
All tests successful.
Files=6, Tests=64,  1 wallclock secs ( 0.30 cusr +  0.08 csys =  0.38 CPU)
+ Provides: perl(Data::Visitor) = 0.05 perl(Data::Visitor::Callback)

APPROVED.


Comment 5 Chris Weyl 2007-05-02 04:04:28 UTC
New Package CVS Request
=======================
Package Name: perl-Data-Visitor
Short Description: Visitor style traversal of Perl data structures
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 6 Chris Weyl 2007-05-04 03:46:06 UTC
Imported and building... thanks for the review!

Comment 7 Iain Arnell 2010-08-25 05:42:24 UTC
Package Change Request
======================
Package Name: perl-Data-Visitor
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig

Comment 8 Kevin Fenzi 2010-08-25 17:10:42 UTC
Git done (by process-git-requests).